## List Pipelines `client.Pipelines.ListV1(ctx, params) (*V4PagePaginationArray[PipelineListV1Response], error)` **get** `/accounts/{account_id}/pipelines/v1/pipelines` List/Filter Pipelines in Account. ### Parameters - `params PipelineListV1Params` - `AccountID param.Field[string]` Path param: Specifies the public ID of the account. - `Page param.Field[float64]` Query param - `PerPage param.Field[float64]` Query param ### Returns - `type PipelineListV1Response struct{…}` - `ID string` Indicates a unique identifier for this pipeline. - `CreatedAt string` - `ModifiedAt string` - `Name string` Indicates the name of the Pipeline. - `Sql string` Specifies SQL for the Pipeline processing flow. - `Status string` Indicates the current status of the Pipeline. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/pipelines" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.Pipelines.ListV1(context.TODO(), pipelines.PipelineListV1Params{ AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "result": [ { "id": "01234567890123457689012345678901", "created_at": "created_at", "modified_at": "modified_at", "name": "my_pipeline", "sql": "insert into sink select * from source;", "status": "status" } ], "result_info": { "count": 1, "page": 0, "per_page": 10, "total_count": 1 }, "success": true } ```